<?php

namespace App\Controller;

use App\Controller\AppController;

class ReferenciasController extends AppController
{
    public function addformal()
    {

        $this->loadModel('Clientescredito'); //ClientescreditoTable

        if ($this->request->is('post')) {
            //debug($this->request->getData());
            //exit();
            $userid = ($_SESSION['Auth']['User']['id']);
            $formData = $this->request->getData();

            $clientecredito = $this->Clientescredito->newEntity($this->request->getData());
            $clientecredito->cc_userid = $userid;
            $clientecredito->cc_cedula = $formData['cedula'];
            $clientecredito->cc_nombre = $formData['nombre'];
            $clientecredito->cc_apellido = $formData['apellido'];
            $clientecredito->cc_empresa_ct = $formData['empresa_ct'];
            $clientecredito->cc_monto_ct = $formData['monto_ct'];
            $clientecredito->cc_telefono_ct = $formData['telefono_ct'];
            $clientecredito->cc_antiguedad_ct = $formData['antiguedad_ct'];
            $clientecredito->cc_empresa_ls = $formData['empresa_ls'];
            $clientecredito->cc_monto_ls = $formData['monto_ls'];
            $clientecredito->cc_telefono_ls = $formData['telefono_ls'];
            $clientecredito->cc_antiguedad_ls = $formData['antiguedad_ls'];
            $clientecredito->cc_operando_pt = $formData['operando_pt'];
            $clientecredito->cc_monto1_pt = $formData['monto1_pt'];
            $clientecredito->cc_monto2_pt = $formData['monto2_pt'];
            $clientecredito->cc_monto3_pt = $formData['monto3_pt'];
            $clientecredito->cc_operando_iva = $formData['operando_iva'];
            $clientecredito->cc_monto1_iva = $formData['monto1_iva'];
            $clientecredito->cc_monto2_iva = $formData['monto2_iva'];
            $clientecredito->cc_monto3_iva = $formData['monto3_iva'];

            if ($this->Clientescredito->save($clientecredito)) {
                $this->Flash->success(__('Cliente y referencias registradas !'));
                //return $this->redirect(['action' => 'index']);
            } else {
                $this->Flash->error(__('Error al guardar Cliente..'));
            }

            if (!empty($this->request->getData('files'))) {
                $uploadFolder = 'img/docs';
                $uploadPath = WWW_ROOT . $uploadFolder . DS;

                $uploadedFiles = []; 

                $idx = 0;
                foreach ($this->request->getData('files') as $file) {
                    if (!empty($file['tmp_name'])) {

                        $filename = $file['name'];
                        $extension = pathinfo($filename, PATHINFO_EXTENSION);
                        $idx = $idx + 1;

                        $filenameup = $clientecredito->id . "-" . $clientecredito->cc_cedula . "-" . $idx . "." . $extension;

                        if (move_uploaded_file($file['tmp_name'], $uploadPath . $filenameup)) {
                            $uploadedFiles[] = $filename;
                        } else {
                            $this->Flash->error('Hubo un problema al cargar los archivos. Inténtelo de nuevo.');
                            return;
                        }
                    }
                }
            }
        }
    }
    
    public function addinformal()
    {

        $this->loadModel('Clientescredito'); 

        if ($this->request->is('post')) {
            $userid = ($_SESSION['Auth']['User']['id']);
            $formData = $this->request->getData();

            $clientecredito = $this->Clientescredito->newEntity($this->request->getData());
            $clientecredito->cc_userid = $userid;
            $clientecredito->cc_cedula = $formData['cedula'];
            $clientecredito->cc_nombre = $formData['nombre'];
            $clientecredito->cc_apellido = $formData['apellido'];
            $clientecredito->cc_empresa_cc = $formData['empresa_cc'];
            $clientecredito->cc_telefono_cc = $formData['telefono_cc'];
            $clientecredito->cc_observacion_cc = $formData['observacion_cc'];
            $clientecredito->cc_empresa_cv = $formData['empresa_cv'];
            $clientecredito->cc_telefono_cv = $formData['telefono_cv'];
            $clientecredito->cc_observacion_cv = $formData['observacion_cv'];
            $clientecredito->cc_banco_cb = $formData['banco_cb'];

            if ($this->Clientescredito->save($clientecredito)) {
                $this->Flash->success(__('Cliente y referencias registradas !'));
                //return $this->redirect(['action' => 'index']);
            } else {
                $this->Flash->error(__('Error al guardar Cliente..'));
            }

            if (!empty($this->request->getData('files'))) {
                $uploadFolder = 'img/docs';
                $uploadPath = WWW_ROOT . $uploadFolder . DS;

                $uploadedFiles = []; 

                $idx = 0;
                foreach ($this->request->getData('files') as $file) {
                    if (!empty($file['tmp_name'])) {

                        $filename = $file['name'];
                        $extension = pathinfo($filename, PATHINFO_EXTENSION);
                        $idx = $idx + 1;

                        $filenameup = $clientecredito->id . "-" . $clientecredito->cc_cedula . "-" . $idx . "." . $extension;

                        if (move_uploaded_file($file['tmp_name'], $uploadPath . $filenameup)) {
                            $uploadedFiles[] = $filenameup;
                        } else {
                            $this->Flash->error('Hubo un problema al cargar los archivos. Inténtelo de nuevo.');
                            return;
                        }
                    }
                }
                //debug($uploadedFiles);
                //exit();
            }
        }
    }
}
