<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Marzoventa Entity
 * @property int id
 * @property string $empresa
 * @property string $cli_tel
 * @property string $detalle
 * @property int $ven_tipo
 * @property int $ven_nro
 * @property float $ven_moneda
 * @property string $cliente
 * @property string $ci
 * @property string $factura
 * @property string $chasis
 * @property string $pro_detallelargo
 * @property int $ve_moneda
 * @property float $compra
 * @property float $venta
 * @property float $entrega
 * @property float $saldo
 * @property string $chasisvehiculo
 * @property string $fecha
 * @property string $vendedor
 * @property string $estadocomision
 * @property string $monedacomision
 * @property float $montoguaranies
 * @property float $montocomisiondolares
 */
class Marzoventa extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'empresa' => true,
        'cli_tel' => true,
        'detalle' => true,
        'ven_tipo' => true,
        'ven_nro' => true,
        'ven_moneda' => true,
        'cliente' => true,
        'ci' => true,
        'factura' => true,
        'chasis' => true,
        'pro_detallelargo' => true,
        've_moneda' => true,
        'compra' => true,
        'venta' => true,
        'entrega' => true,
        'saldo' => true,
        'chasisvehiculo' => true,
        'fecha' => true,
        'vendedor' => true,
        'estadocomision' => true,
        'monedacomision' => true,
        'montoguaranies' => true,
        'montocomisiondolares' => true
    ];
}
