<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Propuesta Entity
 *
 * @property int $id
 * @property string $nombre
 * @property string $celular
 * @property string $propuesta
 * @property string $observacion
 * @property string $chasis
 * @property float $bono
 * @property string $respuestagerente
 * @property int $estado
 * @property int $usuario
 * @property string $photo
 * @property string $photo_dir
 * @property string $fecha
 * @property string $hora
 * @property string $vendedor
 * @property int $empresa
 */
class Propuesta extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        '*' => true,
        'id' => false,
        'photo'=>true,
        'photo_dir'=>true
    ];
}
