<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Inspeccions Model
 *
 * @method \App\Model\Entity\Inspeccion get($primaryKey, $options = [])
 * @method \App\Model\Entity\Inspeccion newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Inspeccion[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Inspeccion|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Inspeccion patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Inspeccion[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Inspeccion findOrCreate($search, callable $callback = null, $options = [])
 */
 
class InspeccionsTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->table('inspeccions');
        $this->displayField('id');
        $this->primaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->allowEmpty('nombre');


        return $validator;
    }
}
