<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Asignarchofer $asignarchofer
 */
?>
<div class="well">

    <h3><?= h($asignarchofer->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Proveedor') ?></th>
            <td><?= h($asignarchofer->proveedor) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($asignarchofer->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Marca Id') ?></th>
            <td><?= $this->Number->format($asignarchofer->marca_id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Modelo Id') ?></th>
            <td><?= $this->Number->format($asignarchofer->modelo_id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Ano Id') ?></th>
            <td><?= $this->Number->format($asignarchofer->ano_id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Color Id') ?></th>
            <td><?= $this->Number->format($asignarchofer->color_id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Tipo Id') ?></th>
            <td><?= $this->Number->format($asignarchofer->tipo_id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Procedencia Id') ?></th>
            <td><?= $this->Number->format($asignarchofer->procedencia_id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Importador Id') ?></th>
            <td><?= $this->Number->format($asignarchofer->importador_id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Proveedor Id') ?></th>
            <td><?= $this->Number->format($asignarchofer->proveedor_id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Estado') ?></th>
            <td><?= $this->Number->format($asignarchofer->estado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Chofere Id') ?></th>
            <td><?= $this->Number->format($asignarchofer->chofere_id) ?></td>
        </tr>
    </table>
    <div class="row">
        <h4><?= __('Fecha') ?></h4>
        <?= $this->Text->autoParagraph(h($asignarchofer->fecha)); ?>
    </div>
    <div class="row">
        <h4><?= __('Chasis') ?></h4>
        <?= $this->Text->autoParagraph(h($asignarchofer->chasis)); ?>
    </div>
    <div class="row">
        <h4><?= __('Marca') ?></h4>
        <?= $this->Text->autoParagraph(h($asignarchofer->marca)); ?>
    </div>
    <div class="row">
        <h4><?= __('Modelo') ?></h4>
        <?= $this->Text->autoParagraph(h($asignarchofer->modelo)); ?>
    </div>
    <div class="row">
        <h4><?= __('Ano') ?></h4>
        <?= $this->Text->autoParagraph(h($asignarchofer->ano)); ?>
    </div>
    <div class="row">
        <h4><?= __('Color') ?></h4>
        <?= $this->Text->autoParagraph(h($asignarchofer->color)); ?>
    </div>
    <div class="row">
        <h4><?= __('Tipo') ?></h4>
        <?= $this->Text->autoParagraph(h($asignarchofer->tipo)); ?>
    </div>
    <div class="row">
        <h4><?= __('Procedencia') ?></h4>
        <?= $this->Text->autoParagraph(h($asignarchofer->procedencia)); ?>
    </div>
    <div class="row">
        <h4><?= __('Importador') ?></h4>
        <?= $this->Text->autoParagraph(h($asignarchofer->importador)); ?>
    </div>
    <div class="row">
        <h4><?= __('Obs') ?></h4>
        <?= $this->Text->autoParagraph(h($asignarchofer->obs)); ?>
    </div>
    <div class="row">
        <h4><?= __('Comprobante') ?></h4>
        <?= $this->Text->autoParagraph(h($asignarchofer->comprobante)); ?>
    </div>
    <div class="row">
        <h4><?= __('Chofer') ?></h4>
        <?= $this->Text->autoParagraph(h($asignarchofer->chofer)); ?>
    </div>
</div>
