<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Comisione[]|\Cake\Collection\CollectionInterface $comisiones
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Comisione'), ['action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('List Ventas'), ['controller' => 'Ventas', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Venta'), ['controller' => 'Ventas', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="comisiones index large-9 medium-8 columns content">
    <h3><?= __('Comisiones') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recimp1comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recimp2comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recimp3comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recimp4comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recimp5comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recimp6comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recimp1comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recimp2comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recimp3comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recimp4comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recimp5comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recimp6comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recu1comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recu2comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recu3comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recu4comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recu5comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recu6comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recu1comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recu2comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recu3comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recu4comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recu5comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recu6comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usado1comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usado2comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usado3comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usado4comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usado5comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usado6comisioncredito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usado1comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usado2comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usado3comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usado4comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usado5comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usado6comisioncontado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('ultimamodificacion') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($comisiones as $comisione): ?>
            <tr>
                <td><?= $this->Number->format($comisione->id) ?></td>
                <td><?= $this->Number->format($comisione->recimp1comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->recimp2comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->recimp3comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->recimp4comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->recimp5comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->recimp6comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->recimp1comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->recimp2comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->recimp3comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->recimp4comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->recimp5comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->recimp6comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->recu1comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->recu2comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->recu3comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->recu4comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->recu5comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->recu6comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->recu1comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->recu2comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->recu3comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->recu4comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->recu5comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->recu6comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->usado1comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->usado2comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->usado3comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->usado4comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->usado5comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->usado6comisioncredito) ?></td>
                <td><?= $this->Number->format($comisione->usado1comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->usado2comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->usado3comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->usado4comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->usado5comisioncontado) ?></td>
                <td><?= $this->Number->format($comisione->usado6comisioncontado) ?></td>
                <td><?= h($comisione->ultimamodificacion) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $comisione->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $comisione->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $comisione->id], ['confirm' => __('Are you sure you want to delete # {0}?', $comisione->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
