<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\FeriaUsado $feriaUsado
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $feriaUsado->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $feriaUsado->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Feria Usados'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="feriaUsados form large-9 medium-8 columns content">
    <?= $this->Form->create($feriaUsado) ?>
    <fieldset>
        <legend><?= __('Edit Feria Usado') ?></legend>
        <?php
            echo $this->Form->control('chassis');
            echo $this->Form->control('modelo');
            echo $this->Form->control('año');
            echo $this->Form->control('color');
            echo $this->Form->control('chapa');
            echo $this->Form->control('antes');
            echo $this->Form->control('ahora');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
