<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\InventarioUsado $inventarioUsado
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $inventarioUsado->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $inventarioUsado->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Inventario Usados'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="inventarioUsados form large-9 medium-8 columns content">
    <?= $this->Form->create($inventarioUsado) ?>
    <fieldset>
        <legend><?= __('Edit Inventario Usado') ?></legend>
        <?php
            echo $this->Form->control('fecha');
            echo $this->Form->control('usuario');
            echo $this->Form->control('modelo');
            echo $this->Form->control('marca');
            echo $this->Form->control('color');
            echo $this->Form->control('chasis');
            echo $this->Form->control('cuentaaceite');
            echo $this->Form->control('motorfunciona');
            echo $this->Form->control('cajafunciona');
            echo $this->Form->control('chequin');
            echo $this->Form->control('radiotv');
            echo $this->Form->control('insigniatrasera');
            echo $this->Form->control('insigniadetalantera');
            echo $this->Form->control('cabeceras');
            echo $this->Form->control('bocina');
            echo $this->Form->control('aire');
            echo $this->Form->control('bloqueopuerta');
            echo $this->Form->control('tapizados');
            echo $this->Form->control('luces');
            echo $this->Form->control('espejos');
            echo $this->Form->control('herramientas');
            echo $this->Form->control('observacion');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
