
<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h4 align="center">LISTADO DE TASACIÓN DE VEHICULOS</h4>
            
        </div>
        
        <?php  if($current_user['id'] == 3){ ?>
              <li><?= $this->Html->link(__('Agregar'), ['action' => 'add']) ?></li>
         <?php   }  ?>

       <div class="table-responsive">
             <table class="table  table-sm">
                <thead>
                    <tr>
                        
                        <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?></th>
                        <th><?= $this->Paginator->sort('ano', ['Año']) ?></th>
                        <th><?= $this->Paginator->sort('precio', ['Precio en Dolares']) ?></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($modelsAnos as $modelsAno): ?>
                    <tr>
                        <td><?=$modelsAno->model->modelo?></td>
                        <td><?=$modelsAno->ano->ano?></td>
                        <td><?= $this->Number->format($modelsAno->precio) ?></td>

                        <?php  if($current_user['id'] < 4){ ?>
                        <td class="actions">
                            <?= $this->Html->link('Editar', ['action' => 'edit', $modelsAno->id], ['class' => 'btn btn-sm btn-primary']) ?>
                            <?= $this->Form->postLink('Eliminar', ['action' => 'delete', $modelsAno->id], ['confirm' => 'Eliminar usuario ?', 'class' => 'btn btn-sm btn-danger']) ?>
                        </td>
                         <?php   }  ?>

                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>