<!-- src/Template/Precios/view.ctp -->

<div class="row">
    <div class="col-md-6 col-md-offset-3">
        <div class="page-header">
            <h2>Detalles del Precio</h2>
        </div>
        <table class="table">
            <tr>
                <th>Modelo</th>
                <td><?= h($preciocredito->modelo) ?></td>
            </tr>
            <tr>
                <th>Año desde</th>
                <td><?= h($preciocredito->ano_desde) ?></td>
            </tr>
            <tr>
                <th>Año hasta</th>
                <td><?= h($preciocredito->ano_hasta) ?></td>
            </tr>
            
            
            <tr>
                <th>Carroceria</th>
                <td> <?php 
                                switch ($preciocredito->carroceria) {
                                    case 1:
                                        echo 'NORMAL';
                                        break;
                                    case 2:
                                        echo 'VIEJO';
                                        break;
                                    case 3:
                                        echo 'NUEVO';
                                        break;
                                    default:
                                        echo '';
                                        break;
                                }
                                ?></td>
            </tr>
            
            <tr>
                <th>Mantenimiento</th>
                <td><?= number_format(($preciocredito->entregamantenimiento), 0, ',', '.') ?></td>
            </tr>
            
            <tr>
                <th>Entrega lista</th>
                <td><?= number_format(($preciocredito->entregaminimags), 0, ',', '.') ?></td>
            </tr>
            <tr>
                <th>Entrega fuera lista</th>
                <td><?= number_format(($preciocredito->entregafuerags), 0, ',', '.') ?></td>
            </tr>
            <tr>
                <th>Entrega promo lista</th>
                <td><?= number_format(($preciocredito->entregapromogs), 0, ',', '.') ?></td>
            </tr>
            
            <tr>
                <th>Interes Precio lista
                <p>
                    <div class="row">
                        <?php for ($i = 1; $i <= 48; $i++) : ?>
                            <?php if ($i % 6 === 1) : ?>
                    </div>
                    <div class="row">
                    <?php endif; ?>
                    <div class="col-md-4">
                        <b><?=$i?>:</b> <?= h($preciocredito->{'mes' . $i}) ?>
                    </div>
                <?php endfor; ?>
                    </div>
                </p></th>
            </tr>
            
            <tr>
                <th>Interes Precio fuera
                <p>
                    <div class="row">
                        <?php for ($i = 1; $i <= 48; $i++) : ?>
                            <?php if ($i % 6 === 1) : ?>
                    </div>
                    <div class="row">
                    <?php endif; ?>
                    <div class="col-md-4">
                        <b><?=$i?>:</b> <?= h($preciocredito->{'mesfuera' . $i}) ?>
                    </div>
                <?php endfor; ?>
                    </div>
                </p></th>
            </tr>
            
            <tr>
                <th>Interes Precio promo
                <p>
                    <div class="row">
                        <?php for ($i = 1; $i <= 48; $i++) : ?>
                            <?php if ($i % 6 === 1) : ?>
                    </div>
                    <div class="row">
                    <?php endif; ?>
                    <div class="col-md-4">
                        <b><?=$i?>:</b> <?= h($preciocredito->{'mespromo' . $i}) ?>
                    </div>
                <?php endfor; ?>
                    </div>
                </p></th>
            </tr>
            
        </table>
        <?= $this->Html->link('Volver', ['action' => 'index'], ['class' => 'btn btn-primary']) ?>
    </div>
</div>