<?= $this->Html->css('bootstrap.min.css') ?>
<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h3 align="center">Respuesta del Gerente</h3>
            <div class="table-responsive">
                <?php echo $this->Form->create($propuesta, array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'Propuestas', 'action' => 'respuestas'))); ?>
                
                <?php echo $this->Form->input('searchr', array('label' => false, 'id' => 'search2', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholde' => 'busqueda...', 'value' => $search )); ?>
                
                <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>  <?php echo $this->Form->end(); ?>
            </div>
        </div>
        
        <div class="table-responsive">
            <table class="table  table-sm">
                <thead>
                    <tr>
                        <th scope="col"><?= $this->Paginator->sort('nombre') ?></th>
                        <th scope="col"><?= $this->Paginator->sort('celular') ?></th>
                        <th scope="col"><?= $this->Paginator->sort('propuesta') ?></th>
                        <th scope="col"><?= $this->Paginator->sort('observacion') ?></th>
                        <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                        <th scope="col" class="actions"><?= __('Acciones') ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($propuestas as $propuesta): ?>
                    <tr>
                        <td><?= h($propuesta->nombre) ?></td>
                        <td><?= h($propuesta->celular) ?></td>
                        <td><?= h($propuesta->propuesta) ?></td>
                        <td><?= h($propuesta->observacion) ?></td>
                        <td><?= h($propuesta->chasis) ?></td>
                        
                        <td class="actions">
                            <?= $this->Html->link(__('Ver respuesta'), ['action' => 'view', $propuesta->id]) ?>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>