<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\PruebaImagen $pruebaImagen
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $pruebaImagen->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $pruebaImagen->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Prueba Imagens'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="pruebaImagens form large-9 medium-8 columns content">
    <?= $this->Form->create($pruebaImagen) ?>
    <fieldset>
        <legend><?= __('Edit Prueba Imagen') ?></legend>
        <?php
            echo $this->Form->control('referencia');
            echo $this->Form->control('imagen');
            echo $this->Form->control('fechacarga');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
