<style>
  .collapsable {
    border: 1px solid #ccc;
    margin-bottom: 10px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }

  .collapsable-header {
    background-color: #f0f0f0;
    padding: 10px;
    cursor: pointer;
  }

  .collapsable-casa-propia {
    padding: 10px;
    padding-left: 30px;
    padding-right: 30px;
    display: none;
  }

  .collapsable-casa-ajena-otros {
    padding: 10px;
    padding-left: 60px;
    padding-right: 60px;
    display: none;
  }

  .collapsable-casa-ajena-otros-especificar {
    padding: 10px;
    padding-left: 90px;
    padding-right: 90px;
    display: none;
  }

  .collapsable-otros {
    padding: 10px;
    display: none;
  }

  .collapsable-padrastro {
    padding: 10px;
    display: none;
  }

  .collapsable-padrastro-documentos {
    padding: 10px;
    display: none;
  }

  .collapsable-otro {
    padding: 10px;
    display: block;
  }

  .collapsable-obligatorio {
    padding: 10px;
    display: none;
  }

  .collapsable-formal {
    padding: 10px;
    display: none;
  }

  .collapsable-informal {
    padding: 10px;
    display: none;
  }

  .collapsable-foto-casa {
    padding: 10px;
    display: none;
  }

  .collapsable-link-maps {
    padding: 10px;
    display: none;
  }

  .collapsable-referencias {
    padding: 10px;
    display: none;
  }

  .collapsable-segundo-titular {
    padding: 10px;
    display: none;
  }

  .collapsable-codeudor {
    padding: 10px;
    display: none;
  }

  .form-group {
    margin-left: 50px;
    margin-right: 50px;
  }
</style>

<div class="row">
  <?php

  echo $this->Form->create(null, ['type' => 'file', 'enctype' => 'multipart/form-data']);

  echo '<div class="collapsable">';
  echo '<div class="collapsable-header">:: Datos básicos del postulante ::</div>';
  echo $this->Form->control('cedula', ['type' => 'text', 'label' => 'Cédula de Identidad', 'placeholder' => '12345678']);
  echo $this->Form->control('nombre', ['type' => 'text', 'label' => 'Nombre(s)', 'placeholder' => 'fulano de tal', 'onkeyup' => 'this.value = this.value.toUpperCase();']);
  echo $this->Form->control('apellido', ['type' => 'text', 'label' => 'Apellido(s)', 'placeholder' => 'fulano de tal', 'onkeyup' => 'this.value = this.value.toUpperCase();']);
  echo $this->Form->control('telefono', ['type' => 'text', 'label' => ' Número de Teléfono', 'placeholder' => '(0973) 123456']);
  echo $this->Form->control('direccion', ['type' => 'text', 'label' => ' Dirección', 'placeholder' => 'calle 123', 'onkeyup' => 'this.value = this.value.toUpperCase();']);

  echo '<div class="form-group">';
  echo $this->Form->label('fotocedula_frente', 'Foto Cédula (Frente)');
  echo $this->Form->file('fotocedula_frente', ['accept' => 'image/jpeg, image/png', 'label' => false]);
  echo $this->Form->label('fotocedula_reverso', 'Foto Cédula (Reverso)');
  echo $this->Form->file('fotocedula_reverso', ['accept' => 'image/jpeg, image/png', 'label' => false]);
  echo '</div>';
  echo '</div>';

  echo '<div class="collapsable">';
  echo '<div class="collapsable-header">:: Datos laborales y familiares ::</div>';
  echo $this->Form->control('funcionario_publico', ['type' => 'select', 'options' => ['' => '', 'SI' => 'Si', 'NO' => 'No'], 'id' => 'funcionario_publico', 'label' => '¿Es Funcionario Público?', 'onchange' => 'toggle_funcionario(this)']);

  echo '<div class="collapsable-obligatorio">';
  echo '<div class="form-group">';
  echo $this->Form->label('boleta_de_ande', 'Boleta de ANDE');
  echo $this->Form->file('boleta_de_ande', ['accept' => 'image/jpeg, image/png', 'label' => false]);

  echo $this->Form->label('contrato_privado', 'Contrato Privado');
  echo $this->Form->file('contrato_privado', ['accept' => 'image/jpeg, image/png', 'label' => false]);

  echo $this->Form->label('libreta_de_terreno', 'Libreta de Terreno');
  echo $this->Form->file('libreta_de_terreno', ['accept' => 'image/jpeg, image/png', 'label' => false]);

  echo $this->Form->label('titulo_de_propiedad', 'Título de Propiedad');
  echo $this->Form->file('titulo_de_propiedad', ['type' => 'file', 'accept' => 'image/jpeg, image/png', 'label' => false]);

  echo $this->Form->label('adjudicacion', 'Adjudicación');
  echo $this->Form->file('adjudicacion', ['accept' => 'image/jpeg, image/png', 'label' => false]);
  echo '</div>';
  echo '</div>';

  echo '<div class="collapsable-casa-propia">';
  echo $this->Form->control('casa_propia', ['type' => 'select', 'options' => ['' => '', 'SI' => 'Si', 'PADRES' => 'Padres', 'CONYUGE' => 'Conyuge', 'PADRASTRO' => 'Padrastro', 'OTROS' => 'Otros'], 'id' => 'casa_propia', 'label' => '¿Tiene Casa Propia?', 'onchange' => 'toggle_casa_propia(this)']);
  echo '</div>';

  echo '<div class="collapsable-casa-ajena-otros">';
  echo $this->Form->control('casa_ajena_otros', ['type' => 'select', 'options' => ['' => ' ', 'AMIGO' => 'Amigo/a', 'HERMANO' => 'Hermano/a', 'ABUELO' => 'Abuelo/a', 'TIO' => 'Tio/a', 'ESPECIFICAR' => 'Especificar'], 'id' => 'casa_ajena_otros', 'label' => '¿ Casa de ?', 'empty' => '', 'onchange' => 'toggle_casa_ajena_otros(this)']);
  echo '</div>';

  echo '<div class="collapsable-casa-ajena-otros-especificar">';
  echo $this->Form->control('casa_ajena_otros_especificar', ['type' => 'text', 'id' => 'casa_ajena_otros_especificar', 'label' => '(Otros:especificar)']);
  echo $this->Form->control('firma', ['type' => 'select', 'options' => ['NO' => 'No', 'SI' => 'Si'], 'label' => '¿ Es firmante ?']);
  echo '</div>';

  echo '<div class="collapsable-padrastro-documentos form-group">';
  echo $this->Form->label('certificado_de_matrimonio', 'Certificado de Matrimonio');
  echo $this->Form->file('certificado_de_matrimonio', ['accept' => 'image/jpeg, image/png', 'label' => false]);
  echo $this->Form->label('libreta_de_familia', 'Libreta de Familia');
  echo $this->Form->file('libreta_de_familia', ['accept' => 'image/jpeg, image/png', 'label' => false]);
  echo $this->Form->label('certificado_de_nacimiento', 'Certificado de Nacimiento');
  echo $this->Form->file('certificado_de_nacimiento', ['accept' => 'image/jpeg, image/png', 'label' => false]);
  echo $this->Form->label('otro', 'Otro documento familiar');
  echo $this->Form->file('otro', ['accept' => 'image/jpeg, image/png', false]);
  echo '</div>';

  echo '<div id="formal" class="collapsable">';
  echo '<div class="collapsable-header" onclick="toggle_formal(this)">(+) Comprobantes de Ingreso (Formal)</div>';
  echo '<div class="collapsable-formal form-group">';

  echo $this->Form->label('certificado_de_trabajo', 'Certificado de Trabajo');
  echo $this->Form->file('certificado_de_trabajo', ['accept' => 'image/jpeg, image/png', 'label' => false]);

  echo $this->Form->label('iva', 'I.V.A.');
  echo $this->Form->file('iva', ['accept' => 'image/jpeg, image/png', 'label' => false]);

  echo $this->Form->label('patente', 'Patente');
  echo $this->Form->file('patente', ['accept' => 'image/jpeg, image/png', 'label' => false]);

  echo $this->Form->label('extracto_bancario', 'Extracto Bancario');
  echo $this->Form->file('extracto_bancario', ['accept' => 'image/jpeg, image/png', 'label' => false]);
  echo '</div>';
  echo '</div>';

  echo '<div id="informal" class="collapsable">';
  echo '<div class="collapsable-header" onclick="toggle_informal(this)">(+) Comprobantes de Ingreso (Informal)</div>';
  echo '<div class="collapsable-informal form-group">';

  echo $this->Form->label('factura_de_compra', 'Factura de Compra');
  echo $this->Form->file('factura_de_compra', ['accept' => 'image/jpeg, image/png', 'label' => false]);

  echo $this->Form->label('foto_del_comercio', 'Foto del local comercial');
  echo $this->Form->file('foto_del_comercio', ['accept' => 'image/jpeg, image/png', 'label' => false]);

  echo $this->Form->label('foto_de_mercaderia', 'Foto de la mercadería/producto ofrecido por el local comercial');
  echo $this->Form->file('foto_de_mercaderia', ['accept' => 'image/jpeg, image/png', 'label' => false]);

  echo $this->Form->label('otro_informal', 'Otro comprobante de ingreso informal');
  echo $this->Form->file('otro_informal', ['accept' => 'image/jpeg, image/png', 'label' => false]);
  echo '</div>';
  echo '</div>';

  echo '<div id="referencias" class="collapsable">';
  echo '<div class="collapsable-header" onclick="toggle_referencias(this)">(+) Referencias Personales</div>';
  echo '<div class="collapsable-referencias">';
  echo $this->Form->control('parentesco1', ['type' => 'text', 'label' => 'Grado de parentesco (1)', 'placeholder' => 'abuelo/tio/primo/hermano', 'onkeyup' => 'this.value = this.value.toUpperCase();']);
  echo $this->Form->control('nombre_y_apellido1', ['type' => 'text', 'label' => 'Nombre y Apellido', 'placeholder' => 'fulano de tal', 'onkeyup' => 'this.value = this.value.toUpperCase();']);
  echo $this->Form->control('telefono1', ['type' => 'text', 'label' => 'Número de Teléfono', 'placeholder' => '(0973) 123456']);
  echo $this->Form->control('parentesco2', ['type' => 'text', 'label' => 'Grado de parentesco (2)', 'onkeyup' => 'this.value = this.value.toUpperCase();']);
  echo $this->Form->control('nombre_y_apellido2', ['type' => 'text', 'label' => 'Nombre y Apellido', 'onkeyup' => 'this.value = this.value.toUpperCase();']);
  echo $this->Form->control('telefono2', ['type' => 'text', 'label' => 'Número de Teléfono']);
  echo $this->Form->control('parentesco3', ['type' => 'text', 'label' => 'Grado de parentesco (3)', 'onkeyup' => 'this.value = this.value.toUpperCase();']);
  echo $this->Form->control('nombre_y_apellido3', ['type' => 'text', 'label' => 'Nombre y Apellido', 'onkeyup' => 'this.value = this.value.toUpperCase();']);
  echo $this->Form->control('telefono3', ['type' => 'text', 'label' => 'Número de Teléfono']);
  echo $this->Form->control('parentesco4', ['type' => 'text', 'label' => 'Grado de parentesco (4)', 'onkeyup' => 'this.value = this.value.toUpperCase();']);
  echo $this->Form->control('nombre_y_apellido4', ['type' => 'text', 'label' => 'Nombre y Apellido', 'onkeyup' => 'this.value = this.value.toUpperCase();']);
  echo $this->Form->control('telefono4', ['type' => 'text', 'label' => 'Número de Teléfono']);
  echo '</div>';
  echo '</div>';

  echo '<div id="ubicacion_geografica" class="collapsable">';
  echo '<div class="collapsable-header" onclick="toggle_link_maps(this)">(+) Ubicacion geográfica (maps)</div>';
  echo '<div class="collapsable-link-maps">';

  echo $this->Form->control('maps_link', ['type' => 'text', 'label' => 'Enlace (link) de google maps']);
  echo '<div class="form-group">';
  echo $this->Form->label('maps_foto', 'Foto/captura del mapa (google maps)');
  echo $this->Form->file('maps_foto', ['accept' => 'image/jpeg, image/png', 'label' => false]);
  echo '</div>';
  echo '</div>';
  echo '</div>';

  echo '<div id="foto-casa" class="collapsable">';
  echo '<div class="collapsable-header" onclick="toggle_foto_casa(this)">(+) Fotos de la Casa</div>';
  echo '<div class="collapsable-foto-casa form-group">';

  echo $this->Form->label('casa_frente', 'Foto del Frente de la Casa');
  echo $this->Form->file('casa_frente', ['accept' => 'image/jpeg, image/png', 'label' => false]);

  echo $this->Form->label('casa_lado_izquierdo', 'Foto del lado izquierdo de la Casa');
  echo $this->Form->file('casa_lado_izquierdo', ['accept' => 'image/jpeg, image/png', 'label' => false]);

  echo $this->Form->label('casa_lado_derecho', 'Foto del lado derecho de la Casa');
  echo $this->Form->file('casa_lado_derecho', ['accept' => 'image/jpeg, image/png', 'label' => false]);
  echo '</div>';
  echo '</div>';

  echo '<div id="segundo_titular" class="collapsable">';
  echo '<div class="collapsable-header" onclick="toggle_segundo_titular(this)">(+) Datos Segundo Titular</div>';
  echo '<div class="collapsable-segundo-titular">';

  echo $this->Form->control('titular2_cedula', ['type' => 'text', 'label' => 'Número de Cédula de Identidad', 'placeholder' => '123456']);
  echo $this->Form->control('titular2_nombre', ['type' => 'text', 'label' => 'Nombre y Apellido', 'placeholder' => 'fulano de tal', 'onkeyup' => 'this.value = this.value.toUpperCase()']);
  echo $this->Form->control('titular2_telefono', ['type' => 'text', 'label' => 'Teléfono', 'placeholder' => '(0973) 123456']);
  echo $this->Form->control('titular2_direccion', ['type' => 'text', 'label' => 'Dirección', 'placeholder' => 'calle 123', 'onkeyup' => 'this.value = this.value.toUpperCase()']);

  echo '<div class="form-group">';

  echo $this->Form->label('titular2_cedula_frente', 'Cédula de Identidad (Frente)');
  echo $this->Form->file('titular2_cedula_frente', ['accept' => 'image/jpeg, image/png', 'label' => false]);

  echo $this->Form->label('titular2_cedula_reverso', 'Cédula de Identidad (Reverso)');
  echo $this->Form->file('titular2_cedula_reverso', ['accept' => 'image/jpeg, image/png', 'label' => false]);
  echo '</div>';
  echo '</div>';
  echo '</div>';

  echo '<div id="codeudor" class="collapsable">';
  echo '<div class="collapsable-header" onclick="toggle_codeudor(this)">(+) Datos del Codeudor</div>';
  echo '<div class="collapsable-codeudor">';

  echo $this->Form->control('codeudor_cedula', ['type' => 'text', 'label' => 'Número de Cédula de Identidad', 'placeholder' => '123456']);
  echo $this->Form->control('codeudor_nombre', ['type' => 'text', 'label' => 'Nombre y Apellido', 'placeholder' => 'fulano de tal', 'onkeyup' => 'this.value = this.value.toUpperCase();']);
  echo $this->Form->control('codeudor_telefono', ['type' => 'text', 'label' => 'Teléfono', 'placeholder' => '(0973) 123456']);
  echo $this->Form->control('codeudor_direccion', ['type' => 'text', 'label' => 'Dirección', 'placeholder' => 'calle 123', 'onkeyup' => 'this.value = this.value.toUpperCase();']);

  echo '<div class="form-group">';
  echo $this->Form->label('codeudor_cedula_frente', 'Cédula de Identidad (Frente)');
  echo $this->Form->file('codeudor_cedula_frente',  ['accept' => 'image/jpeg, image/png', 'label' => false]);

  echo $this->Form->label('codeudor_cedula_reverso', 'Cédula de Identidad (Reverso)');
  echo $this->Form->file('codeudor_cedula_reverso', ['accept' => 'image/jpeg, image/png', 'label' => false]);

  echo '</div>';
  echo '</div>';
  echo '</div>';

  echo $this->Form->button(__('Guardar'), ['class' => 'btn btn-primary']);
  echo $this->Form->end();
  ?>
</div>

<script>
  function toggle_funcionario(seleccionado) {
    var value = seleccionado.value;
    if (value === 'SI') {
      document.querySelector('.collapsable-casa-propia').style.display = 'none';
      document.querySelector('.collapsable-casa-ajena-otros').style.display = 'none';
      document.querySelector('.collapsable-casa-ajena-otros-especificar').style.display = 'none';
      document.querySelector('.collapsable-obligatorio').style.display = 'none';

      document.getElementById('casa_propia').value = '';
      document.getElementById('casa_ajena_otros').value = '';
      document.getElementById('casa_ajena_otros_especificar').value = '';
    } else {
      document.querySelector('.collapsable-obligatorio').style.display = 'block';
      document.querySelector('.collapsable-casa-propia').style.display = 'block';
    }
  }

  function toggle_casa_propia(seleccionado) {
    var value = seleccionado.value;

    if (value === 'PADRASTRO') {
      document.querySelector('.collapsable-padrastro-documentos').style.display = 'block';
    } else {
      document.querySelector('.collapsable-padrastro-documentos').style.display = 'none';
    }

    if (value === 'OTROS') {
      document.querySelector('.collapsable-casa-propia').style.display = 'block';
      document.querySelector('.collapsable-casa-ajena-otros').style.display = 'block';
      document.querySelector('.collapsable-obligatorio').style.display = 'block';
    } else {
      document.querySelector('.collapsable-casa-ajena-otros').style.display = 'none';
      document.querySelector('.collapsable-casa-ajena-otros-especificar').style.display = 'none';
      document.querySelector('.collapsable-obligatorio').style.display = 'none';
    }
  }

  function toggle_casa_ajena_otros(seleccionado) {
    var value = seleccionado.value;
    if (value === 'ESPECIFICAR') {
      document.querySelector('.collapsable-casa-ajena-otros-especificar').style.display = 'block';
    } else {
      document.querySelector('.collapsable-casa-ajena-otros-especificar').style.display = 'none';
    }
  }

  function toggle_formal() {
    var content = document.querySelector('.collapsable-formal');
    content.style.display = (content.style.display === 'none') ? 'block' : 'none';
  }

  function toggle_informal() {
    var content = document.querySelector('.collapsable-informal');
    content.style.display = (content.style.display === 'none') ? 'block' : 'none';
  }

  function toggle_link_maps() {
    var content = document.querySelector('.collapsable-link-maps');
    content.style.display = (content.style.display === 'none') ? 'block' : 'none';
  }

  function toggle_foto_casa() {
    var content = document.querySelector('.collapsable-foto-casa');
    content.style.display = (content.style.display === 'none') ? 'block' : 'none';
  }

  function toggle_referencias() {
    var content = document.querySelector('.collapsable-referencias');
    content.style.display = (content.style.display === 'none') ? 'block' : 'none';
  }

  function toggle_segundo_titular() {
    var content = document.querySelector('.collapsable-segundo-titular');
    content.style.display = (content.style.display === 'none') ? 'block' : 'none';
  }

  function toggle_codeudor() {
    var content = document.querySelector('.collapsable-codeudor');
    content.style.display = (content.style.display === 'none') ? 'block' : 'none';
  }
</script>