<?php
$isMobile = $this->request->is('mobile');
$this->Html->scriptBlock('function isMobile() {return window.innerWidth <= 768;}', ['block' => true]);
?>

<div class="container">
  <div class="col-md-12">
    <div class="page-header" style="text-align: center;">
      <h4>LISTADO DE REFERENCIAS REGISTRADAS</h4>

      <div class="container-fluid">
        <?php echo $this->Form->create('Referencia2', array('type' => 'GET', 'url' => array('controller' => 'Referencia2', 'action' => 'index'))); ?>
        <div class="row">
          <div class="col-md-9 col-xs-12">
            <?php echo $this->Form->input('search', array(
              'label' => false,
              'value' => $search,
              'div' => false,
              'id' => 's',
              'class' => 'form-control s',
              'autocomplete' => 'off',
              'placeholder' => 'Cedula o Nombre...',
              'oninput' => "this.value = this.value.toUpperCase()"
            )); ?>
          </div>
          <div class="col-md-3 col-xs-12">
            <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary btn-block')); ?> <?php echo $this->Form->end(); ?>
          </div>
        </div>
      </div>

    </div>
    <?php
    if ($isMobile and $current_user['tipovista'] == 1) : ?>

      <div class="table-responsive">
        <table class="table table-striped table-hover">
          <thead>
            <tr>
              <th scope="col">
                <?= $this->Paginator->sort('id') ?><br>
                <?= $this->Paginator->sort('cedula') ?><br>
                <?= $this->Paginator->sort('apellido') ?><br>
                <?= $this->Paginator->sort('nombre') ?><br>
                <?= $this->Paginator->sort('fecha') ?><br>
                <?= $this->Paginator->sort('estado') ?><br>
                Acción
              </th>
            </tr>
          </thead>
          <tbody>
            <?php foreach ($referencia2 as $referencia) : ?>
              <tr>
                <td>
                  <?= h($referencia->id) ?><br>
                  <?= h($referencia->cedula) ?><br>
                  <?= h($referencia->apellido) ?><br>
                  <?= h($referencia->nombre) ?><br>
                  <?= h($referencia->fecha) ?><br>
                  <?= h($referencia->estado) ?><br>
                  <?= $this->Html->link('VER', ['action' => 'view', $referencia->id], ['class' => 'btn btn-sm btn-info']) ?>
                </td>
              <?php endforeach; ?>
          </tbody>
        </table>
      </div>
    <?php else : ?>
      <div class="table-responsive">
        <table class="table table-striped table-hover">
          <thead>
            <tr>
              <th scope="col">
                <?= $this->Paginator->sort('id') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('cedula') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('apellido') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('nombre') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('fecha') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('estado') ?>
              </th>
              <th scope="col">VER</th>
            </tr>
          </thead>
          <tbody>
            <?php foreach ($referencia2 as $referencia) : ?>
              <tr>
                <td>
                  <?= h($referencia->id) ?>
                </td>

                <td>
                  <?= h($referencia->cedula) ?>
                </td>
                <td>
                  <?= h($referencia->apellido) ?>
                </td>
                <td>
                  <?= h($referencia->nombre) ?>
                </td>
                <td>
                  <?= h($referencia->fecha) ?>
                </td>
                <td>
                  <?= h($referencia->estado) ?>
                </td>
                <td>
                  <?= $this->Html->link('VER', ['action' => 'view', $referencia->id], ['class' => 'btn btn-sm btn-info']) ?>
                </td>
              <?php endforeach; ?>
          </tbody>
        </table>
      </div>
    <?php endif; ?>

    <div class="paginator">
      <ul class="pagination">
        <!-- <?= $this->Paginator->first('<< ' . __('inicio')) ?> -->
        <!-- <?= $this->Paginator->prev('< ' . __('anterior')) ?> -->
        <?= $this->Paginator->numbers() ?>
        <!-- <?= $this->Paginator->next(__('siguiente') . ' >') ?> -->
        <!-- <?= $this->Paginator->last(__('fin') . ' >>') ?> -->
      </ul>
      <p>
        <?= $this->Paginator->counter(['format' => __('{{page}} de {{pages}}, mostrando {{current}} registro(s)
        de un total de {{count}}')]) ?>
      </p>
    </div>
  </div>
</div>