<?php 
  echo $this->Html->script('datepicker-pl');
  echo $this->Html->script('langs/pl.min');
 ?>

<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <center><h4>CANTIDAD DE PROPUESTAS</h4></center>

            <?php echo $this->Form->create($simuladorVenta, array('type' => 'get')); ?>
            <table class="table table-striped">
                <tr>
                    <?php echo $this->Form->input('fechah', array('value' => $fechah ,'label' => 'DESDE', 'div' => false, 'id' => 'dataod', 'class' => 'form-control s'  )); ?>
                    <?php echo $this->Form->input('fechad', array('value' => $fechad ,'label' => 'HASTA', 'div' => false, 'id' => 'datado', 'class' => 'form-control s')); ?>
                    <b>EMPRESA </b>
                    <SELECT class="form-control form-control-lg" name="empresa" value=<?php echo $empre; ?>  >
                        <OPTION VALUE="0">TODOS</OPTION>
                        <OPTION VALUE="1">CASA CENTRAL</OPTION>
                        <OPTION VALUE="2">PREMIO</OPTION>
                        <OPTION VALUE="3">KM 11</OPTION>
                    </SELECT>
                    
                    <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>
                </tr>
            </table>
            <?php echo $this->Form->end(); ?>

        </div>

        <div class="table-responsive text-nowrap">
        <center>CANTIDAD DE PROPUESTAS</center>
            <table class="table table-striped">
                <thead>
                    <tr>
                        
                        <th scope="col"><?= $this->Paginator->sort('nombre') ?></th>
                        <th scope="col"><?= $this->Paginator->sort('propuesta') ?></th>
                        <th scope="col"><?= $this->Paginator->sort('venta') ?></th>

                        <th scope="col" class="actions"><?= __('ACCIONES') ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($simuladorVentas as $simuladorVenta): ?>
                    <tr>
                        
                        <td><?= h($simuladorVenta['nombre']) ?></td>
                        <td><?= h($simuladorVenta['propuesta']) ?></td>
                        <td><?= h($simuladorVenta['venta']) ?></td>
                        <td>
                            <?= $this->Html->link('VER', ['action' => 'verpropuestas', $simuladorVenta['id'], $fechah, $fechad], ['class' => 'btn btn-sm btn-primary']) ?>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>

    


    <div class="table-responsive text-nowrap">
        <center>SIN PROPUESTAS</center>
        <table class="table table-striped">
            <thead>
                <tr>
                   
                    <th scope="col"><?= $this->Paginator->sort('nombre') ?></th>
                    <th scope="col"><?= $this->Paginator->sort('propuestas') ?></th>
                    <th scope="col"><?= $this->Paginator->sort('ventas') ?></th>

                </tr>
            </thead>
            <tbody>
                <?php foreach ($simuladorVentas2 as $simuladorVenta): ?>
                <tr>
            
                        <td><?= h($simuladorVenta[1]) ?></td>
                        <td><?= h($simuladorVenta[2]) ?></td>
                        <td><?= h($simuladorVenta[3]) ?></td>
                    
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>

    </div>

</div>

<script>
$("#dataod").datepicker({
    dateFormat: "dd-mm-yy"
});
$("#datado").datepicker({
    dateFormat: "dd-mm-yy"
});
</script>