<div class="row">
    <div class="col-md-12">
    	<div class="page-header">
    		<h2>Vehículos en tránsito Chile</h2>
    		
    		<div class="row">
              <div class="col-md-3">
                <?= $this->Html->link(
                  __('Nuevo'),
                  ['action' => 'add/1'],
                  ['class' => 'btn btn-success float-right']
                ) ?>
              </div>
            </div>

    	</div>
    	<div class="table-responsive">
    		<table class="table table-striped table-hover">
    		<thead>
    		<tr>
   
                <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
                <th><?= $this->Paginator->sort('marca', ['Marca']) ?></th>
                <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?></th>
                <th><?= $this->Paginator->sort('ano', ['Año']) ?></th>
                <th><?= $this->Paginator->sort('color', ['Color']) ?></th>
                <th><?= $this->Paginator->sort('fechacreacion', ['Fecha creación']) ?></th>
                <th>Acciones</th>
    		</tr>
    		</thead>
    		<tbody>
    		<?php foreach ($transitos as $transito): ?>
    		<tr>
                
                <td><?= h($transito->chasis) ?></td>
                <td><?= h($transito->marca) ?></td>
                <td><?= h($transito->modelo) ?></td>
                <td><?= h($transito->ano) ?></td>
                <td><?= h($transito->color) ?></td>
                <td><?= h($transito->fechacreacion) ?></td>
                <td>
                    <?= $this->Html->link('Editar', ['action' => 'editar', $transito->id], ['class' => 'btn btn-sm btn-primary']) ?>
                    <?= $this->Form->postLink('Mover a py', ['action' => 'mover', $transito->id], ['confirm' => 'Desea mover a vehiculo en transito py?', 'class' => 'btn btn-sm btn-primary']) ?>
                <?= $this->Form->postLink('Eliminar', ['action' => 'borrar', $transito->id], ['confirm' => 'Desea borrar?', 'class' => 'btn btn-sm btn-danger']) ?>
                
                </td>
    		</tr>
    	<?php endforeach; ?>
    		</tbody>
    		</table>
    	</div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>
