<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Empleado Entity
 *
 * @property int $id
 * @property string $nombre
 * @property string $apellido
 * @property int $modalidad
 * @property string $fechaingreso
 * @property int $usistema
 * @property string $telefono1
 * @property string $telefono2
 * @property string $telefono3
 * @property string $domicilio
 * @property string $nrodomi
 * @property string $dominum
 * @property int $edad
 * @property int $sexo
 * @property int $estadocivil
 * @property string $profesion
 * @property string $sena
 * @property int $esteempleado
 * @property float $sueldo
 * @property float $horaxdia
 * @property float $horaextra
 * @property float $fercosto
 * @property int $comitipo
 * @property int $prectipo
 * @property int $ventacont
 * @property int $ventacred
 * @property int $cobrador
 * @property string $observacion
 * @property int $moneda
 * @property float $comivcont
 * @property float $comivcred
 * @property string $cedula
 * @property string $ruc
 * @property string $cargo
 * @property int $empresa
 *
 * @property \App\Model\Entity\User[] $users
 */
class Empleado extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        '*' => true,
        'id' => false
    ];
}
