<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Propuestasimulador Entity
 *
 * @property int $id
 * @property int $empresa
 * @property string $fecha
 * @property int $simulador_venta_id
 * @property float $bono
 * @property string $observacion
 * @property int $estado
 * @property string $vendedor
 * @property string $chasis
 *
 * @property \App\Model\Entity\SimuladorVenta $simulador_venta
 */
class Propuestasimulador extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'empresa' => true,
        'fecha' => true,
        'simulador_venta_id' => true,
        'bono' => true,
        'observacion' => true,
        'estado' => true,
        'simulador_venta' => true
    ];
}
