<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Inventariosdetalles Model
 *
 * @method \App\Model\Entity\Inventariosdetalle get($primaryKey, $options = [])
 * @method \App\Model\Entity\Inventariosdetalle newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Inventariosdetalle[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Inventariosdetalle|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Inventariosdetalle|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Inventariosdetalle patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Inventariosdetalle[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Inventariosdetalle findOrCreate($search, callable $callback = null, $options = [])
 */
class InventariosdetallesTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);
        $this->setTable('inventariosdetalles');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');

    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->scalar('detalle')
            ->allowEmpty('detalle');

        $validator
            ->integer('estado')
            ->allowEmpty('estado');

        $validator
            ->scalar('chasis')
            ->allowEmpty('chasis');

        $validator
            ->scalar('marca')
            ->allowEmpty('marca');

        $validator
            ->scalar('modelo')
            ->allowEmpty('modelo');

        $validator
            ->scalar('color')
            ->allowEmpty('color');

        return $validator;
    }
}
