<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Actualizado $actualizado
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Actualizado'), ['action' => 'edit', $actualizado->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Actualizado'), ['action' => 'delete', $actualizado->id], ['confirm' => __('Are you sure you want to delete # {0}?', $actualizado->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Actualizados'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Actualizado'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="actualizados view large-9 medium-8 columns content">
    <h3><?= h($actualizado->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($actualizado->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($actualizado->id) ?></td>
        </tr>
    </table>
</div>
