<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Ano $ano
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Ano'), ['action' => 'edit', $ano->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Ano'), ['action' => 'delete', $ano->id], ['confirm' => __('Are you sure you want to delete # {0}?', $ano->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Anos'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Ano'), ['action' => 'add']) ?> </li>
        <li><?= $this->Html->link(__('List Models'), ['controller' => 'Models', 'action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Model'), ['controller' => 'Models', 'action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="anos view large-9 medium-8 columns content">
    <h3><?= h($ano->ano) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Ano') ?></th>
            <td><?= h($ano->ano) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($ano->id) ?></td>
        </tr>
    </table>
    <div class="related">
        <h4><?= __('Related Models') ?></h4>
        <?php if (!empty($ano->models)): ?>
        <table cellpadding="0" cellspacing="0">
            <tr>
                <th scope="col"><?= __('Id') ?></th>
                <th scope="col"><?= __('Modelo') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
            <?php foreach ($ano->models as $models): ?>
            <tr>
                <td><?= h($models->id) ?></td>
                <td><?= h($models->modelo) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['controller' => 'Models', 'action' => 'view', $models->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['controller' => 'Models', 'action' => 'edit', $models->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['controller' => 'Models', 'action' => 'delete', $models->id], ['confirm' => __('Are you sure you want to delete # {0}?', $models->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </table>
        <?php endif; ?>
    </div>
</div>
