<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Cotizacione $cotizacione
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Cotizacione'), ['action' => 'edit', $cotizacione->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Cotizacione'), ['action' => 'delete', $cotizacione->id], ['confirm' => __('Are you sure you want to delete # {0}?', $cotizacione->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Cotizaciones'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Cotizacione'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="cotizaciones view large-9 medium-8 columns content">
    <h3><?= h($cotizacione->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($cotizacione->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Dolarcompra') ?></th>
            <td><?= $this->Number->format($cotizacione->dolarcompra) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Dolarventa') ?></th>
            <td><?= $this->Number->format($cotizacione->dolarventa) ?></td>
        </tr>
    </table>
</div>
