<?php
/**
  * @var \App\View\AppView $this
  */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actiones') ?></li>
        <li><?= $this->Html->link(__('Editar Credito'), ['action' => 'edit', $credito->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Borrar Credito'), ['action' => 'delete', $credito->id], ['confirm' => __('Desea borrar registro # {0}?', $credito->id)]) ?> </li>
        <li><?= $this->Html->link(__('Listado Creditos'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('Nuevo Credito'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="creditos view large-9 medium-8 columns content">
    <h3><?= h($credito->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($credito->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Descripcion') ?></th>
            <td><?= h($credito->descripcion) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Estado') ?></th>
            <td><?= h($credito->estado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cedula') ?></th>
            <td><?= h($credito->cedula) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Observacion') ?></th>
            <td><?= h($credito->observacion) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Fechaactualizacion') ?></th>
            <td><?= h($credito->fechaactualizacion) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Moneda') ?></th>
            <td><?= h($credito->moneda) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($credito->id) ?></td>
        </tr>
    </table>
</div>
