<?php

/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Imagenapp $imagenapp
 */

?>

<?= $this->Html->link(' <- VOLVER BUSQUEDA', ['action' => 'busqueda'], ['class' => 'btn btn-sm btn-info']) ?>

<script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>

<div class="container">
  <div class="panel panel-primary">
    <div class="panel-body">
      <form name="form1" id="form1" method="post" enctype="multipart/form-data">
        <h4 class="text-center">Cargar Multiple Archivos</h4>
        <div class="form-group">
          <label class="col-sm-2 control-label"></label>
          <div class="col-sm-8">
            <input type="file" class="form-control" id="archivo[]" name="archivo[]" multiple="">
          </div>
          <button type="submit" class="btn btn-primary">Cargar</button>
        </div>
      </form>
    </div>
  </div>
</div>

<center><h3>Imagenes cargadas</h3></center>
<?php foreach ($imagen as $imagenapps) : ?>
  <?php
  if (is_file(WWW_ROOT . 'img' . DS . 'chasis' . DS . $imagenapps->imagen)) {


  ?>
    <tbody>
      <tr>
        <div class="col-sm-4 col-md-4">
          <div class="thumbnail">

            <?= $this->Html->image('/img/chasis/' . $imagenapps->imagen, ['fullBase' => true]) ?>
            <div class="caption">
              <a class="btn btn-sm btn-info" href=<?= '/img/chasis/' . $imagenapps->imagen ?>>Ver</a>
              <?= $this->Form->postLink(__('BORRAR FOTO'), ['action' => 'delete2', $imagenapps->id, $imagenapps->chasis], ['confirm' => __('DESEA BORRAR? # {0}?', $imagenapps->id), 'class' => 'btn btn-primary']) ?>

              <?= $this->Form->postLink('Foto principal', ['controller' => 'stocks', 'action' => 'fotoprincipal2', $imagenapps->chasis, $imagenapps->imagen], ['confirm' => 'Desea poner como foto portadas ?', 'class' => 'btn btn-sm btn-danger']) ?>

              <strong>Chasis: </strong><?= $imagenapps->chasis ?>
            </div>

          </div>
        </div>
      </tr>
    </tbody>
  <?php
  }
  ?>
<?php endforeach; ?>
