<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\InventarioUsado $inventarioUsado
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Inventario Usado'), ['action' => 'edit', $inventarioUsado->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Inventario Usado'), ['action' => 'delete', $inventarioUsado->id], ['confirm' => __('Are you sure you want to delete # {0}?', $inventarioUsado->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Inventario Usados'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Inventario Usado'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="inventarioUsados view large-9 medium-8 columns content">
    <h3><?= h($inventarioUsado->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($inventarioUsado->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Modelo') ?></th>
            <td><?= h($inventarioUsado->modelo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Marca') ?></th>
            <td><?= h($inventarioUsado->marca) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Color') ?></th>
            <td><?= h($inventarioUsado->color) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Chasis') ?></th>
            <td><?= h($inventarioUsado->chasis) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Observacion') ?></th>
            <td><?= h($inventarioUsado->observacion) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($inventarioUsado->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usuario') ?></th>
            <td><?= $this->Number->format($inventarioUsado->usuario) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cuentaaceite') ?></th>
            <td><?= $this->Number->format($inventarioUsado->cuentaaceite) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Motorfunciona') ?></th>
            <td><?= $this->Number->format($inventarioUsado->motorfunciona) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cajafunciona') ?></th>
            <td><?= $this->Number->format($inventarioUsado->cajafunciona) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Chequin') ?></th>
            <td><?= $this->Number->format($inventarioUsado->chequin) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Radiotv') ?></th>
            <td><?= $this->Number->format($inventarioUsado->radiotv) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Insigniatrasera') ?></th>
            <td><?= $this->Number->format($inventarioUsado->insigniatrasera) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Insigniadetalantera') ?></th>
            <td><?= $this->Number->format($inventarioUsado->insigniadetalantera) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cabeceras') ?></th>
            <td><?= $this->Number->format($inventarioUsado->cabeceras) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Bocina') ?></th>
            <td><?= $this->Number->format($inventarioUsado->bocina) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Aire') ?></th>
            <td><?= $this->Number->format($inventarioUsado->aire) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Bloqueopuerta') ?></th>
            <td><?= $this->Number->format($inventarioUsado->bloqueopuerta) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Tapizados') ?></th>
            <td><?= $this->Number->format($inventarioUsado->tapizados) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Luces') ?></th>
            <td><?= $this->Number->format($inventarioUsado->luces) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Espejos') ?></th>
            <td><?= $this->Number->format($inventarioUsado->espejos) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Herramientas') ?></th>
            <td><?= $this->Number->format($inventarioUsado->herramientas) ?></td>
        </tr>
    </table>
</div>
