<?php /** * @var \App\View\AppView $this * @var \App\Model\Entity\Liquisalario[]|\Cake\Collection\CollectionInterface $liquisalarios
*/ ?>
<div class="row">
  <div class="col-md-12">
    <div class="page-header">
        <h2>
        <?= __('Liquidaciones de salarios') ?>
        </h2>

    </div>
    <div class="table-responsive">
        <table class="table table-striped table-hover">
        <thead>
            <tr>
                            <th scope="col">
                <?= $this->Paginator->sort('id') ?>
                </th>
                        
                            <th scope="col">
                <?= $this->Paginator->sort('inicio') ?>
                </th>
                            <th scope="col">
                <?= $this->Paginator->sort('fin') ?>
                </th>
                           
                        <th scope="col" class="actions">
                <?= __('Acciones') ?>
            </th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($liquisalarios as $liquisalario): ?>
            
            <tr>
                    <td>
                    <?= $this->Number->format($liquisalario->id) ?>
                    </td>
                                                                                                                                                
                    <td>
                    <?= h($liquisalario->inicio) ?>
                    </td>
                    <td>
                    <?= h($liquisalario->fin) ?>
                    </td>
                   
                <td class="actions">
                <?= $this->Html->link(__('Ver'), ['action' => 'view', $liquisalario->id]
                , ['class' => 'btn btn-sm btn-info']) ?> 
                </td>
            </tr><?php endforeach; ?>
        </tbody>
        </table>
    </div>
    <div class="paginator">
      <ul class="pagination">
        <?= $this->Paginator->first('<< ' . __('primero')) ?> <?=
        $this->Paginator->prev('< ' . __('anterior')) ?> <?=
        $this->Paginator->numbers() ?> <?=
        $this->Paginator->next(__('siguiente') . ' >') ?> <?=
        $this->Paginator->last(__('ultimo') . ' >>') ?>
      </ul>
      <p>
        <?= $this->Paginator->counter(['format' => __('Pagina {{page}} de {{pages}}, mostrando {{current}} registro(s)
        de un total de {{count}} total')]) ?>
      </p>
    </div>
  </div>
</div>
