<?php
$isMobile = $this->request->is('mobile');
$this->Html->scriptBlock('function isMobile() {return window.innerWidth <= 768;}', ['block' => true]);
?>

<div class="container">
  <div class="col-md-12">
    <div class="page-header">
      <h4 tyle="text-align: center;">LISTADO DE COMPRAS: <?= $lugar_actual; ?></h4>
      <div class="row">
        <?php echo $this->Form->create(null, array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'ListadoCompra2', 'action' => 'index', $estadofecha))); ?>
        <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Chasis, marca o modelo ...')); ?>
        <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>
        <?php echo $this->Form->end(); ?>
      </div>
    </div>

    <?php
    if ($isMobile and $current_user['tipovista'] == 1) : ?>

      <div class="table-responsive">
        <table class="table table-striped table-hover">
          <thead>
            <tr>
              <th scope="col">
                <?= $this->Paginator->sort('id', 'Id') ?><br>
                <?= $this->Paginator->sort('fecha', 'Fecha Compra') ?><br>
                <?= $this->Paginator->sort('chasis', 'Chasis') ?><br>
                <?= $this->Paginator->sort('marca', 'Marca') ?><br>
                <?= $this->Paginator->sort('modelo', 'Modelo') ?><br>
                <?= $this->Paginator->sort('ano', 'Año') ?><br>
                <?= $this->Paginator->sort('fechaiquique', 'Iquique desde') ?><br>
                <?= $this->Paginator->sort('fechasalidaapy', 'Salida a Paraguay') ?><br>
                <?= $this->Paginator->sort('fechallegadapy', 'Llegada Paraguay') ?>
              </th>
            </tr>
          </thead>
          <tbody>
            <?php foreach ($listadocompra2 as $listadocompra) : ?>
              <tr>
                <td>
                  <?= h($listadocompra->id) ?><br>
                  <?= h($listadocompra->fecha) ?><br>
                  <?= h($listadocompra->chasis) ?><br>
                  <?= h($listadocompra->marca) ?><br>
                  <?= h($listadocompra->modelo) ?><br>
                  <?= h($listadocompra->ano) ?><br>
                  <?= h($listadocompra->fechaiquique) ?><br>
                  <?= h($listadocompra->fechasalidaapy) ?><br>
                  <?= h($listadocompra->fechallegadapy) ?></td>
                <td>
                  <?php if ($listadocompra->estadofecha < 3) : ?>
                    <?php if (
                      $current_user['id'] == 1 or // richard
                      $current_user['id'] == 2 or // oscar
                      $current_user['id'] == 3 or // sergio
                      $current_user['id'] == 48 or // nestor
                      $current_user['id'] == 130 or // martha
                      $current_user['id'] == 694 or // luism
                      $current_user['id'] == 701 or // liz
                      $current_user['id'] == 701 //

                    ) : ?>
                      <?= $this->Form->button('Cambiar Fecha', ['class' => 'btn-cambiofecha btn btn-sm btn-primary', 'data-id' => $listadocompra->id, 'data-estadofecha' => $listadocompra->estadofecha]) ?>
                    <?php else : ?>
                      <?= $this->Form->button('Cambiar Fecha', ['class' => 'btn-cambiofecha btn btn-sm btn-secondary', 'disabled' => 'disabled']) ?>
                    <?php endif; ?>
                  <?php endif; ?>
                </td>
                <td>
                  <a href="/stocks/mostrar/<?= h($listadocompra->chasis) ?>" target="_blank" class="btn btn-success">Ver Fotos</a>
                </td>
              <?php endforeach; ?>
          </tbody>
        </table>
      </div>
    <?php else : ?>
      <div class="table-responsive">
        <table class="table table-striped table-hover">
          <thead>
            <tr>
              <th scope="col">
                <?= $this->Paginator->sort('id', 'Id') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('fecha', 'Fecha') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('chasis', 'Chasis') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('marca', 'Marca') ?>
              </th>

              <th scope="col">
                <?= $this->Paginator->sort('modelo', 'Modelo') ?>
              </th>

              <th scope="col">
                <?= $this->Paginator->sort('ano', 'Año') ?>
              </th>

              <th scope="col">
                <?= $this->Paginator->sort('fechaiquique', 'Iquique desde') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('fechasalidaapy', 'Salida a Paraguay') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('fechallegadapy', 'Llegada Paraguay') ?>
              </th>
            </tr>
          </thead>
          <tbody>
            <?php foreach ($listadocompra2 as $listadocompra) : ?>
              <tr>
                <td>
                  <?= h($listadocompra->id) ?>
                </td>
                <td>
                  <?= h($listadocompra->fecha) ?>
                </td>
                <td>
                  <?= h($listadocompra->chasis) ?>
                </td>
                <td>
                  <?= h($listadocompra->marca) ?>
                </td>
                <td>
                  <?= h($listadocompra->modelo) ?>
                </td>
                <td>
                  <?= h($listadocompra->ano) ?>
                </td>
                <td>
                  <?= h($listadocompra->fechaiquique) ?>
                </td>
                <td>
                  <?= h($listadocompra->fechasalidaapy) ?>
                </td>
                <td>
                  <?= h($listadocompra->fechallegadapy) ?>
                </td>
                <td>
                  <?php if ($listadocompra->estadofecha < 3) : ?>
                    <?php if (
                      $current_user['id'] == 1 or // richard
                      $current_user['id'] == 2 or // oscar
                      $current_user['id'] == 3 or // sergio
                      $current_user['id'] == 48 or // nestor
                      $current_user['id'] == 130 or // martha
                      $current_user['id'] == 694 or // luism
                      $current_user['id'] == 701 or // liz
                      $current_user['id'] == 701 // 
                    ) : ?>
                      <?= $this->Form->button('Cambiar Fecha', ['class' => 'btn-cambiofecha btn btn-sm btn-primary', 'data-id' => $listadocompra->id, 'data-estadofecha' => $listadocompra->estadofecha]) ?>
                    <?php else : ?>
                      <?= $this->Form->button('Cambiar Fecha', ['class' => 'btn-cambiofecha btn btn-sm btn-secondary', 'disabled' => 'disabled']) ?>
                    <?php endif; ?>
                  <?php endif; ?>
                </td>
                <td>
                  <a href="/stocks/mostrar/<?= h($listadocompra->chasis) ?>" target="_blank" class="btn btn-success">Ver Fotos</a>
                </td>
              <?php endforeach; ?>
          </tbody>
        </table>
      </div>
    <?php endif; ?>

    <div class="paginator">
      <ul class="pagination">
        <?= $this->Paginator->numbers() ?>
      </ul>
      <p>
        <?= $this->Paginator->counter(['format' => __('{{page}} de {{pages}}, mostrando {{current}} registro(s)
        de un total de {{count}}')]) ?>
      </p>
    </div>
  </div>
</div>

<div id="modal-cambiofecha" class="modal" style="max-width: 400px; margin: 0 auto;">
  <div class="modal-content">
    <div style="margin-left: 10px;margin-right: 10px;margin-top: 10px;margin-bottom: 10px;">
      <h4>Cambio Fecha</h4>
      <?= $this->Form->create(null, ['id' => 'form-cambiofecha']) ?>
      <?= $this->Form->input('id', ['label' => 'Id', 'readonly' => true]) ?>
      <?= $this->Form->input('estadofecha', ['label' => 'Estado', 'readonly' => true, 'type' => 'hidden']) ?>
      <?= $this->Form->input('fecha', ['default' => date('d/m/Y')]) ?>
      <?= $this->Form->button('Guardar', ['class' => 'modal-close-cambiofecha btn btn-primary btn-lg btn-block']) ?>
      <?= $this->Form->end() ?>
      </br>
      <button class="modal-close btn btn-danger btn-lg btn-block">Cerrar</button>
    </div>
  </div>
</div>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>

<script>
  $(document).ready(function() {
    // Inicializa el modal
    $('.modal').modal();

    $('.modal-close-cambiofecha').click(function() {
      $('#modal-cambiofecha').modal('close');
    });

    $('.btn-cambiofecha').click(function(e) {
      e.preventDefault();

      // Obtiene el ID 
      var id = $(this).data('id');
      var estadofecha = $(this).data('estadofecha');

      //console.log("Id--> " + Id);

      // Establece el valor del campo oculto del formulario con el ID 
      $('#form-cambiofecha input[name="id"]').val(id);
      $('#form-cambiofecha input[name="estadofecha"]').val(estadofecha);
      // Abre el modal
      $('#modal-cambiofecha').modal('open');
    });

    // Maneja el evento de envio del formulario del modal
    $('#form-cambiofecha').submit(function(e) {
      e.preventDefault();

      // Realiza una solicitud Ajax al servidor
      jQuery.ajax({
        url: '/listado-compra2/addcambiofecha',
        type: 'POST',
        async: true,
        cache: false,
        data: $('#form-cambiofecha').serialize(),
        success: function(response) {
          console.log($('#form-cambiofecha').serialize());
          console.log("ok");
          location.reload();
        },
        error: function(response) {
          console.log($('#form-cambiofecha').serialize());
          console.log("error");
          console.log(response.responseText);
        }
      });
    });
  });
</script>

<style>
  .modal-close {
    margin-left: auto;
  }

  /* Media query para pantallas mas pequenhas */
  @media (max-width: 768px) {
    .modal {
      width: 100%;
      max-width: none;
    }
  }
</style>