<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\PropuestasFeria $propuestasFeria
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $propuestasFeria->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $propuestasFeria->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Propuestas Ferias'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="propuestasFerias form large-9 medium-8 columns content">
    <?= $this->Form->create($propuestasFeria) ?>
    <fieldset>
        <legend><?= __('Edit Propuestas Feria') ?></legend>
        <?php
            echo $this->Form->control('nombre');
            echo $this->Form->control('celular');
            echo $this->Form->control('propuesta');
            echo $this->Form->control('observacion');
            echo $this->Form->control('chasis');
            echo $this->Form->control('bono');
            echo $this->Form->control('respuestagerente');
            echo $this->Form->control('estado');
            echo $this->Form->control('usuario');
            echo $this->Form->control('photo');
            echo $this->Form->control('photo_dir');
            echo $this->Form->control('fecha');
            echo $this->Form->control('hora');
            echo $this->Form->control('vendedor');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
