
<script type="text/javascript">
$(function(){       
    $('*[data-href]').click(function(){
        window.location = $(this).data('href');
        return false;
    });
});
</script>


<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h4 align="center">LISTADO DE VEHICULOS - 0 KM</h4>
            <div class="table-responsive">
                <?php echo $this->Form->create('Stocks', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'Stocks', 'action' => 'cerokm'))); ?>
                
                <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Chassis o modelo...')); ?>
                
                
                <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>  <?php echo $this->Form->end(); ?>
            </div>
        </div>
        
        <div class="table-responsive">
             <table class="table  table-sm">
                <thead>
                <tr>
                        <?php 
                          if($current_user['fotogrilla']==0){
                        ?>
                        <th></th>
                        <?php 
                          }
                        ?>
                        <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?></th>
                        <th><?= $this->Paginator->sort('ano', 'Año', ['escape' => false]) ?></th>
                        <th><?= $this->Paginator->sort('color', ['Color']) ?></th>
                        <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
                        <?php 
                          if($current_user['id']==3 or $current_user['id']==1 or $current_user['id']==48 OR $current_user['id']== 35 or $current_user['id']==312 or $current_user['id']==341 or $current_user['id']==201 or $current_user['id']==326 or $current_user['id']==15){
                        ?>
                        <th><?= $this->Paginator->sort('fecha_ingreso', ['Fecha ingreso']) ?></th>
                        <th><?= $this->Paginator->sort('costo', ['Costo']) ?></th>
                        <?php 
                          }
                        ?>
                        <th><?= $this->Paginator->sort('entregaminima', ['Entrega']) ?></th>
                        <th><?= $this->Paginator->sort('contado', ['Ult. precio']) ?></th>
                        <?php 
                          if($current_user['id']==3 OR $current_user['id']==1){
                        ?>
                        <th><?= $this->Paginator->sort('meses36', ['36 MESES']) ?></th>
                        <th><?= $this->Paginator->sort('meses24', ['24 MESES']) ?></th>
                        <?php 
                            }
                        ?>

                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($stocks as $stock): ?>
                    <tr data-href='/stocks/view/<?= $stock->id ?>'
                    <?php 
                  if($stock->nivel==3){
                ?>
                style=" background-color: #ffff9e";
                <?php 
                      }
                ?>
                <?php 
                  if($stock->nivel==2){
                ?>
                style=" background-color: #cccccc;"
                <?php 
                      }
                ?>
                <?php 
                  if($stock->nivel==1){
                ?>
                style=" background-color: #edbd97;"
                <?php 
                     }
                      
                ?>> 
                    
                    <?php 
                        if($current_user['fotogrilla']==0){
                        ?>
                        <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>" >
                            
                            <?php 
                                $imgfile = (WWW_ROOT.'/img/chasisthumbs/thumb_'.$stock->imagen);
                                if (file_exists($imgfile)):
                                    echo $this->Html->image('/img/chasisthumbs/thumb_'.$stock->imagen, array('width' => 80, 'height' => 60));
                                else:
                                    echo $this->Html->image('/img/logohvn.png', array('width' => 80, 'height' => 60));
                                endif;    
                            ?>

                             <!-- <?php echo $this->Html->image('/img/chasisthumbs/thumb_'.$stock->imagen, array('width' => 80, 'height' => 60)); ?> -->
                             
                             </td>
                         <?php 
                          }
                        ?>
                        <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>" ><?= h($stock->modelo) ?></td>
                        <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>" ><?= h($stock->ano) ?></td>
                        <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>" ><?= h($stock->color) ?></td>
                        <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>" ><?= h($stock->chasis) ?></td>
                        <?php 
                          if($current_user['id']==3 or $current_user['id']==1 or $current_user['id']==48 OR $current_user['id']== 35 or $current_user['id']==326 or $current_user['id']==15){
                        ?>
                        <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>" ><?= h($stock->fecha_ingreso) ?></td>
                        <th><?= number_format($stock->costo, 0, ',', '.') ?></th>
                        <?php 
                          }
                        ?>
                        <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>" ><?= number_format($stock->entregaminima, 0, ',', '.') ?></td>
                        <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>" ><?= number_format(($stock->contado), 0, ',', '.') ?></td>
                        
                        <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>" ><?php 
                            if($current_user['id']==3 OR $current_user['id']==1){
                                  echo number_format(($stock->meses36), 0, ',', '.') ;
                            }  
                        ?></td>

                        <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>" ><?php 
                            if($current_user['id']==3 OR $current_user['id']==1){
                                  echo number_format(($stock->meses36 - 1200 ), 0, ',', '.') ;
                            }  
                        ?></td>

                        <td style="color: <?= $stock->sena == 'SI' ? 'red' : 'inherit'; ?>" >
                            <?= $this->Html->link('VER', ['action' => 'view', $stock->id], ['class' => 'btn btn-sm btn-info']) ?>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>