<?= $this->Html->css('venta') ?>

<?php foreach ($stocks as $stock): ?>


<div class="well">
<div class="row" id="ads">
    <!-- Category Card -->
    <div class="col-md-4">
        <div class="card rounded">
            <div class="card-image">
                <span class="card-notify-year"><?= $stock->ano ?></span>
                <img class="img-fluid" src=<?= '/img/chasis/'.$stock->imagen ?> alt="Sin foto" width="500" height="500" />
            </div>
            <div class="card-image-overlay m-auto">
                <span class="card-detail-badge"><?= $stock->estado ?></span>
                <span class="card-detail-badge">ENTREGA: <?= number_format($stock->entregaminima, 0, ',', '.') ?></span>
            </div>
            <div class="card-body text-center">
                <div class="ad-title m-auto">
                    <h5><?= $stock->marca . ' ' . $stock->modelo . ' ' . $stock->color ?></h5>
                </div>
                <a class="ad-btn" href="#">Presupuesto</a>
            </div>
        </div>
    </div>
</div>
</div>
<?php endforeach; ?>


        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>