<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Trabajo $trabajo
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Trabajo'), ['action' => 'edit', $trabajo->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Trabajo'), ['action' => 'delete', $trabajo->id], ['confirm' => __('Are you sure you want to delete # {0}?', $trabajo->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Trabajos'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Trabajo'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="trabajos view large-9 medium-8 columns content">
    <h3><?= h($trabajo->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Pedido') ?></th>
            <td><?= h($trabajo->pedido) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Estado') ?></th>
            <td><?= h($trabajo->estado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Fecna') ?></th>
            <td><?= h($trabajo->fecna) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($trabajo->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usuario') ?></th>
            <td><?= $this->Number->format($trabajo->usuario) ?></td>
        </tr>
    </table>
</div>
