<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Vehiculoprecio $vehiculoprecio
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Vehiculoprecio'), ['action' => 'edit', $vehiculoprecio->vpr_id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Vehiculoprecio'), ['action' => 'delete', $vehiculoprecio->vpr_id], ['confirm' => __('Are you sure you want to delete # {0}?', $vehiculoprecio->vpr_id)]) ?> </li>
        <li><?= $this->Html->link(__('List Vehiculoprecio'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Vehiculoprecio'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="vehiculoprecio view large-9 medium-8 columns content">
    <h3><?= h($vehiculoprecio->vpr_id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Vpr Pc') ?></th>
            <td><?= h($vehiculoprecio->vpr_pc) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Id') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Marcaid') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_marcaid) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Modelo') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_modelo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Ano') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_ano) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Compra') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_compra) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Contado') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_contado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr 3meses') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_3meses) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Credito') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_credito) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Entrega') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_entrega) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr 12meses') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_12meses) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr 18meses') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_18meses) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr 24meses') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_24meses) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr 30meses') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_30meses) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Planzafra') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_planzafra) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Borrado') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_borrado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Usuario') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_usuario) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Deposito') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_deposito) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Cilindrada') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_cilindrada) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Contadorecimp') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_contadorecimp) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Contado3mesesrecimp') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_contado3mesesrecimp) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Gerente1recimp') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_gerente1recimp) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Gerente2recimp') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_gerente2recimp) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Gerente3recimp') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_gerente3recimp) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Contadorecuperado') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_contadorecuperado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Contado3mesesrecuperado') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_contado3mesesrecuperado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Gerente1recuperado') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_gerente1recuperado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Gerente2recuperado') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_gerente2recuperado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Gerente3recuperado') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_gerente3recuperado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Contadousado') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_contadousado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Contado3mesesusado') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_contado3mesesusado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Gerente1usado') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_gerente1usado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Gerente2usado') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_gerente2usado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vpr Gerente3usado') ?></th>
            <td><?= $this->Number->format($vehiculoprecio->vpr_gerente3usado) ?></td>
        </tr>
    </table>
</div>
